<Project Sdk="Microsoft.NET.Sdk.Razor">

    <PropertyGroup>
        <TargetFramework>net10.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <RootNamespace>Components</RootNamespace>
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)' == 'Debug' ">
        <DefineConstants>TRACE;NO_SQL</DefineConstants>
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)' == 'Release' ">
        <DefineConstants>TRACE;NO_SQL</DefineConstants>
    </PropertyGroup>

    <ItemGroup>
        <SupportedPlatform Include="browser"/>
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="Markdig" Version="0.28.1"/>
        <PackageReference Include="Microsoft.AspNetCore.Components.Web" Version="8.0.14"/>
        <PackageReference Include="Microsoft.Extensions.Localization" Version="8.0.14"/>
    </ItemGroup>

    <ItemGroup>
        <Folder Include="Inputs\"/>
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\Model\Model.csproj"/>
        <ProjectReference Include="..\Services\Services.csproj"/>
    </ItemGroup>
    <ItemGroup>
        <None Remove="Inputs\"/>
    </ItemGroup>
</Project>
